@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap'); /*font-family: 'Inter', sans-serif;*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

:root {
  --main-font: 'Inter', sans-serif;
  --background-color: #000000;
  --white-color: #FFFFFF;
  --black-color: #000000;
  --description-color: #D2D0D0;
  --scroll-bar: rgba(210, 208, 208, 0.3);
  --scroll-bar-hover: #555555FF;
}

body {
  background: var(--background-color);
  font-family: var(--main-font);
}

/*Navbar*/
.navbar{
    height: 750px;
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    flex-wrap: nowrap;
    flex-direction: row;
    background: url("../images/mtrnsummer.png") no-repeat center;
    background-size: cover;
}
.navbar .navbar-content {
  display: flex;
  width: fit-content;
  flex-direction: row;
  align-items: center;
  padding: 20px 50px;
  background: #555555;
  border-radius: 100px;
  justify-content: space-between;
  flex-wrap: nowrap;
  align-content: center;
  box-shadow: 0 0 20px 2px #000;
}

.navbar .navbar-content a {
  text-decoration: none;
  z-index: 10;
}

.navbar .navbar-content .menu-mobile {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-right: 50px;
  z-index: 10;
}

.navbar .navbar-content .menu-mobile .logo {
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: center;
  gap: 10px;
}

.navbar .navbar-content .menu-mobile .logo img {
  max-width: 40px;
  height: auto;
}

.navbar .navbar-content .menu-mobile .logo h3 {
  color: var(--white-color);
  font-weight: 900;
  font-size: 20px;
  text-shadow: 0px 0px 20px #fff;
}

.navbar .navbar-content .links {
  display: flex;
  flex-direction: row;
  gap: 30px;
  transition: 0.3s ease-in-out;
  color: white;
}

.navbar .navbar-content .links .link {
  color: var(--description-color);
  font-size: 18px;
  font-weight: 600;
  text-decoration: none;
  position: relative;
  transition: 0.2s;
  z-index: 10;
}

.navbar .navbar-content .links .link.active {
  color: var(--white-color);
}

.navbar .navbar-content .links .link.active::after {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 100%;
  height: 3px;
  border-radius: 5px;
  background: #ffffff;
  box-shadow: 0px 3px 4px 0 #fff;
  z-index: 10;
}

.navbar .navbar-content .links .link:not(.active):hover {
  color: var(--white-color);
}

.navbar .navbar-content.active .links {
  opacity: 1;
  z-index: 2;
}
/*Footer*/
#footer {
  padding: 20px 150px;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

#footer p {
  color: var(--description-color);
  font-size: 17px;
}

#footer p span {
  color: var(--white-color);
}

#footer .social-links {
  display: flex;
  flex-direction: row;
  gap: 15px;
}

#footer .social-links .link {
  color: var(--description-color);
  text-decoration: none;
  font-size: 20px;
  transition: 0.2s;
}

#footer .social-links .link:hover {
  color: var(--white-color);
}

/*Scrollbar*/
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: var(--stats-background);
}

::-webkit-scrollbar-thumb {
  background: var(--scroll-bar);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--scroll-bar-hover);
}

/*Other*/
section:not(#header) .content {
  padding: 90px 150px;
  width: 100%;
}

/*Responsive*/
@media screen and (max-width: 1625px) {
  .navbar {
    padding: 20px 90px;
  }
}


@media screen and (max-width: 989px) {
  .navbar {
    flex-direction: column;
    gap: 20px;
    max-height: 522px;
    
  }
  .navbar .navbar-content {
    border-radius: 10px;
  }
  .navbar .menu-mobile {
    width: 100%;
  }

  .navbar .links {
    flex-direction: column !important;
    order: 2;
    width: 100%;
    opacity: 1;
    z-index: 10;
    color: white;
    gap: 10px
  }
}

@media screen and (max-width: 1625px) {
  section:not(#header) .content {
    padding: 90px;
  }

  #footer {
    padding: 20px 90px;
  }
}

@media screen and (max-width: 819px) {
  section:not(#header) .content {
    padding: 50px 30px;
  }

  #footer {
    padding: 20px 30px;
  }
}

@media screen and (max-width: 564px) {
  #footer {
    flex-direction: column;
    gap: 30px;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
}